apiVersion: operators.coreos.com/v1alpha1
kind: Subscription
metadata:
  annotations:
    olm.generated-by: install-787pl
  resourceVersion: '1556044'
  name: ack-rds-controller-alpha-community-operators-openshift-marketplace
  uid: ad79c585-e368-4211-89d9-ffb2f3ba9c9b
  creationTimestamp: '2023-02-10T18:12:20Z'
  generation: 1
  managedFields:
    - apiVersion: operators.coreos.com/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:olm.generated-by': {}
        'f:spec':
          .: {}
          'f:channel': {}
          'f:installPlanApproval': {}
          'f:name': {}
          'f:source': {}
          'f:sourceNamespace': {}
          'f:startingCSV': {}
      manager: catalog
      operation: Update
      time: '2023-02-10T18:12:20Z'
    - apiVersion: operators.coreos.com/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:labels':
            .: {}
            'f:operators.coreos.com/ack-rds-controller.openshift-dbaas-operator': {}
      manager: olm
      operation: Update
      time: '2023-02-10T18:12:20Z'
    - apiVersion: operators.coreos.com/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:installedCSV': {}
          'f:currentCSV': {}
          'f:catalogHealth': {}
          'f:installPlanRef':
            .: {}
            'f:apiVersion': {}
            'f:kind': {}
            'f:name': {}
            'f:namespace': {}
            'f:resourceVersion': {}
            'f:uid': {}
          'f:installPlanGeneration': {}
          'f:conditions': {}
          .: {}
          'f:installplan':
            .: {}
            'f:apiVersion': {}
            'f:kind': {}
            'f:name': {}
            'f:uuid': {}
          'f:lastUpdated': {}
          'f:state': {}
      manager: catalog
      operation: Update
      subresource: status
      time: '2023-02-10T19:15:44Z'
  namespace: openshift-dbaas-operator
  labels:
    operators.coreos.com/ack-rds-controller.openshift-dbaas-operator: ''
spec:
  channel: alpha
  installPlanApproval: Automatic
  name: ack-rds-controller
  source: community-operators
  sourceNamespace: openshift-marketplace
  startingCSV: ack-rds-controller.v0.0.27
status:
  installplan:
    apiVersion: operators.coreos.com/v1alpha1
    kind: InstallPlan
    name: install-65c8h
    uuid: fbc804db-f8f3-4c0a-88b5-fb3615e4238c
  lastUpdated: '2023-02-10T19:20:15Z'
  installedCSV: ack-rds-controller.v0.1.0
  currentCSV: ack-rds-controller.v0.1.0
  installPlanRef:
    apiVersion: operators.coreos.com/v1alpha1
    kind: InstallPlan
    name: install-65c8h
    namespace: openshift-dbaas-operator
    resourceVersion: '1550668'
    uid: fbc804db-f8f3-4c0a-88b5-fb3615e4238c
  state: UpgradePending
  catalogHealth:
    - catalogSourceRef:
        apiVersion: operators.coreos.com/v1alpha1
        kind: CatalogSource
        name: ccapi-k8s-catalogsource
        namespace: openshift-marketplace
        resourceVersion: '1421692'
        uid: e7da44da-ec9f-4214-bad2-9eb653baadf0
      healthy: true
      lastUpdated: '2023-02-10T18:13:29Z'
    - catalogSourceRef:
        apiVersion: operators.coreos.com/v1alpha1
        kind: CatalogSource
        name: certified-operators
        namespace: openshift-marketplace
        resourceVersion: '1421524'
        uid: f2509516-ec41-4c80-86e8-1be3c8ab3b40
      healthy: true
      lastUpdated: '2023-02-10T18:13:29Z'
    - catalogSourceRef:
        apiVersion: operators.coreos.com/v1alpha1
        kind: CatalogSource
        name: community-operators
        namespace: openshift-marketplace
        resourceVersion: '1421537'
        uid: 9d72ec08-56cb-44d3-9add-22716ec6bb49
      healthy: true
      lastUpdated: '2023-02-10T18:13:29Z'
    - catalogSourceRef:
        apiVersion: operators.coreos.com/v1alpha1
        kind: CatalogSource
        name: crunchy-bridge-catalogsource
        namespace: openshift-marketplace
        resourceVersion: '1421613'
        uid: 5fd9c9a0-29a8-4287-b4e6-397ef8af81bd
      healthy: true
      lastUpdated: '2023-02-10T18:13:29Z'
    - catalogSourceRef:
        apiVersion: operators.coreos.com/v1alpha1
        kind: CatalogSource
        name: dbaas-operator
        namespace: openshift-marketplace
        resourceVersion: '1421572'
        uid: 907d5160-9c08-4b74-ad30-c67284ca5df1
      healthy: true
      lastUpdated: '2023-02-10T18:13:29Z'
    - catalogSourceRef:
        apiVersion: operators.coreos.com/v1alpha1
        kind: CatalogSource
        name: mongodb-atlas-catalogsource
        namespace: openshift-marketplace
        resourceVersion: '1421636'
        uid: ca500795-e183-4b89-8dcf-d71aaea60ec0
      healthy: true
      lastUpdated: '2023-02-10T18:13:29Z'
    - catalogSourceRef:
        apiVersion: operators.coreos.com/v1alpha1
        kind: CatalogSource
        name: observability-catalogsource
        namespace: openshift-marketplace
        resourceVersion: '1423935'
        uid: a0df3334-2368-4a69-ab0f-0e13bda7ddb2
      healthy: true
      lastUpdated: '2023-02-10T18:13:29Z'
    - catalogSourceRef:
        apiVersion: operators.coreos.com/v1alpha1
        kind: CatalogSource
        name: rds-provider-catalogsource
        namespace: openshift-marketplace
        resourceVersion: '1421665'
        uid: 157a9c98-b151-4652-a546-5114a869a89d
      healthy: true
      lastUpdated: '2023-02-10T18:13:29Z'
    - catalogSourceRef:
        apiVersion: operators.coreos.com/v1alpha1
        kind: CatalogSource
        name: redhat-marketplace
        namespace: openshift-marketplace
        resourceVersion: '1421554'
        uid: 4914f8dd-e05d-4042-ab4a-a1dc3b57ab12
      healthy: true
      lastUpdated: '2023-02-10T18:13:29Z'
    - catalogSourceRef:
        apiVersion: operators.coreos.com/v1alpha1
        kind: CatalogSource
        name: redhat-operators
        namespace: openshift-marketplace
        resourceVersion: '1421504'
        uid: b6cb7f29-7d27-4ff2-8212-29325bd2bcfa
      healthy: true
      lastUpdated: '2023-02-10T18:13:29Z'
  conditions:
    - lastTransitionTime: '2023-02-10T18:13:29Z'
      message: all available catalogsources are healthy
      reason: AllCatalogSourcesHealthy
      status: 'False'
      type: CatalogSourcesUnhealthy
    - message: >-
        constraints not satisfiable: subscription
        ack-rds-controller-alpha-community-operators-openshift-marketplace
        exists, clusterserviceversion ack-rds-controller.v0.1.1 exists and is
        not referenced by a subscription,
        community-operators/openshift-marketplace/alpha/ack-rds-controller.v0.0.30,
        community-operators/openshift-marketplace/alpha/ack-rds-controller.v0.0.28,
        community-operators/openshift-marketplace/alpha/ack-rds-controller.v0.1.3,
        community-operators/openshift-marketplace/alpha/ack-rds-controller.v0.0.27,
        community-operators/openshift-marketplace/alpha/ack-rds-controller.v0.0.29,
        community-operators/openshift-marketplace/alpha/ack-rds-controller.v0.1.0,
        @existing/openshift-dbaas-operator//ack-rds-controller.v0.1.1 and
        community-operators/openshift-marketplace/alpha/ack-rds-controller.v0.1.1
        provide DBParameterGroup (rds.services.k8s.aws/v1alpha1), subscription
        ack-rds-controller-alpha-community-operators-openshift-marketplace
        requires
        community-operators/openshift-marketplace/alpha/ack-rds-controller.v0.0.27
      reason: ConstraintsNotSatisfiable
      status: 'True'
      type: ResolutionFailed
  installPlanGeneration: 10
